import React from 'react';
import { Box, Text } from 'ink';
export const DescriptionRenderer = props => {
    if (!props.description) {
        return null;
    }
    else if (props.description.type) {
        return props.description;
    }
    else if (Array.isArray(props.description)) {
        return (React.createElement(Box, { flexDirection: "column" }, props.description.map(line => (React.createElement(Box, { key: line, width: "100%", marginBottom: 1 },
            React.createElement(Text, null, line))))));
    }
    else {
        return React.createElement(Text, null, props.description);
    }
};
